package umlproblemanalysis.popup.actions;

import java.util.List;

public class ProblemReport {

	private List<Problem> fProblems;

	public ProblemReport(List<Problem> problems) {
		fProblems= problems;
	}

	public void addProblem(Problem p) {
		fProblems.add(p);
	}

	public List<Problem> getProblems() {
		return fProblems;
	}

	public String serialize() {

		StringBuilder b= new StringBuilder();
		b.append("Problem Report\n");
		for (Problem p : getProblems()) {
			b.append("Problem: " + p.getProblemCode().name() + " in activity " + p.getActivity().getName() + ": Node is "
					+ p.getProblemNode().getName() + " : Trace is " + p.getTraceAsString() + "\n");
		}

		return b.toString();
	}

}
